//
//  ServiceRepairMeasuresCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/10/13.
//

import UIKit

class ServiceRepairMeasuresCell: UITableViewCell {
    @IBOutlet weak var titleLab: UILabel!
    @IBOutlet weak var measuresLab: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
extension ServiceRepairMeasuresCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = (String, String)
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
        titleLab.cd.text("\("服务类型".languageString())：\(data.0)")
        measuresLab.cd.text("\("维修措施".languageString())：\(data.1)")
    }
    
    func row_update(config data: ConfigModel) {
    }
}
